[Human Wizard Class Transfer]:
In order to become a Warlock, the Wizard must successfully complete three quests. The Trial of the Scholar can only be undertaken by a player of level 35 or above. This quest begins by meeting with Magister Mirien of Dion Castle Town. The Testimony of Trust can only be undertaken by a player of level 37 or above. This quest begins by meeting with High Priest Hollint of Oren Castle Town. Finally, the Test of the Summoner can be undertaken by a player of level 39 or above. This quest begins by meeting with High Summoner Galatea of Gludin Village.
Return
Close Window